Http11AprProtocol (Apache Tomcat 9.0.117 API Documentation)
Description: declaration: package: org.apache.coyote.http11, class: Http11AprProtocol

# Class Http11AprProtocol

java.lang.Object
org.apache.coyote.AbstractProtocol<Long>
org.apache.coyote.http11.AbstractHttp11Protocol<Long>
org.apache.coyote.http11.Http11AprProtocol

All Implemented Interfaces:
  `MBeanRegistration, ProtocolHandler`

@Deprecated public class Http11AprProtocol extends AbstractHttp11Protocol<Long>
Deprecated.
The APR/Native Connector will be removed in Tomcat 9.1.x onwards and has been removed from Tomcat 10.1.x onwards.
HTTP/1.1 protocol implementation using APR/native.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class AbstractProtocol

  `AbstractProtocol.ConnectionHandler<S>, AbstractProtocol.RecycledProcessors`

- ## Field Summary

  ### Fields inherited from class AbstractHttp11Protocol

  `sm`

  ### Fields inherited from class AbstractProtocol

  `adapter, domain, mserver, oname, processorCache, rgOname`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Http11AprProtocol()`
  Deprecated.
  `Http11AprProtocol(AprEndpoint endpoint)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getDeferAccept()`
  Deprecated.
  `protected Log`
  `getLog()`
  Deprecated.
  `protected String`
  `getNamePrefix()`
  Deprecated.
  `int`
  `getPollTime()`
  Deprecated.
  `int`
  `getSendfileSize()`
  Deprecated.
  `void`
  `init()`
  Deprecated.
  Initialise the protocol.
  `boolean`
  `isAprRequired()`
  Deprecated.
  `void`
  `setDeferAccept(boolean deferAccept)`
  Deprecated.
  `void`
  `setPollTime(int pollTime)`
  Deprecated.
  `void`
  `setSendfileSize(int sendfileSize)`
  Deprecated.

  ### Methods inherited from class AbstractHttp11Protocol

  `addAllowedTrailerHeader, addSslHostConfig, addSslHostConfig, addUpgradeProtocol, createProcessor, createUpgradeProcessor, destroy, findSslHostConfigs, findUpgradeProtocols, getAlgorithm, getAllowedTrailerHeaders, getAllowedTrailerHeadersInternal, getAllowHostHeaderMismatch, getCiphers, getClientAuth, getCompressibleMimeType, getCompressibleMimeTypes, getCompression, getCompressionLevel, getCompressionMinSize, getConnectionUploadTimeout, getContinueResponseTiming, getContinueResponseTimingInternal, getCrlFile, getDefaultSSLHostConfigName, getDisableUploadTimeout, getEndpoint, getHttpParser, getKeyAlias, getKeyPass, getKeyPassFile, getKeystoreFile, getKeystorePass, getKeystorePassFile, getKeystoreProvider, getKeystoreType, getMaxExtensionSize, getMaxHttpHeaderSize, getMaxHttpRequestHeaderSize, getMaxHttpResponseHeaderSize, getMaxKeepAliveRequests, getMaxSavePostSize, getMaxSwallowSize, getMaxTrailerSize, getNegotiatedProtocol, getNoCompressionEncodings, getNoCompressionStrongETag, getNoCompressionUserAgents, getNoCompressionUserAgentsPattern, getONameForUpgrade, getProtocolName, getRejectIllegalHeader, getRejectIllegalHeaderName, getRelaxedPathChars, getRelaxedQueryChars, getRestrictedUserAgents, getRestrictedUserAgentsPattern, getSecure, getServer, getServerRemoveAppProvidedValues, getSessionCacheSize, getSessionTimeout, getSSLCACertificateFile, getSSLCACertificatePath, getSSLCARevocationFile, getSSLCARevocationPath, getSSLCertificateChainFile, getSSLCertificateFile, getSSLCertificateKeyFile, getSSLCipherSuite, getSSLDisableCompression, getSSLDisableSessionTickets, getSslEnabledProtocols, getSSLHonorCipherOrder, getSSLPassword, getSSLPasswordFile, getSslProtocol, getSSLProtocol, getSSLVerifyClient, getSSLVerifyDepth, getTrustManagerClassName, getTrustMaxCertLength, getTruststoreAlgorithm, getTruststoreFile, getTruststorePass, getTruststoreProvider, getTruststoreType, getUpgradeGroupInfo, getUpgradeProtocol, getUseKeepAliveResponseHeader, getUseSendfile, getUseServerCipherSuitesOrder, isSSLEnabled, reloadSslHostConfig, reloadSslHostConfigs, removeAllowedTrailerHeader, setAlgorithm, setAllowedTrailerHeaders, setAllowHostHeaderMismatch, setCiphers, setClientAuth, setCompressibleMimeType, setCompression, setCompressionMinSize, setConnectionUploadTimeout, setContinueResponseTiming, setCrlFile, setDefaultSSLHostConfigName, setDisableUploadTimeout, setKeyAlias, setKeyPass, setKeyPassFile, setKeystoreFile, setKeystorePass, setKeystorePassFile, setKeystoreProvider, setKeystoreType, setMaxExtensionSize, setMaxHttpHeaderSize, setMaxHttpRequestHeaderSize, setMaxHttpResponseHeaderSize, setMaxKeepAliveRequests, setMaxSavePostSize, setMaxSwallowSize, setMaxTrailerSize, setNoCompressionEncodings, setNoCompressionStrongETag, setNoCompressionUserAgents, setRejectIllegalHeader, setRejectIllegalHeaderName, setRelaxedPathChars, setRelaxedQueryChars, setRestrictedUserAgents, setSecure, setServer, setServerRemoveAppProvidedValues, setSessionCacheSize, setSessionTimeout, setSSLCACertificateFile, setSSLCACertificatePath, setSSLCARevocationFile, setSSLCARevocationPath, setSSLCertificateChainFile, setSSLCertificateFile, setSSLCertificateKeyFile, setSSLCipherSuite, setSSLDisableCompression, setSSLDisableSessionTickets, setSSLEnabled, setSslEnabledProtocols, setSSLHonorCipherOrder, setSSLPassword, setSSLPasswordFile, setSslProtocol, setSSLProtocol, setSSLVerifyClient, setSSLVerifyDepth, setTrustManagerClassName, setTrustMaxCertLength, setTruststoreAlgorithm, setTruststoreFile, setTruststorePass, setTruststoreProvider, setTruststoreType, setUseKeepAliveResponseHeader, setUseSendfile, setUseServerCipherSuitesOrder, useCompression`

  ### Methods inherited from class AbstractProtocol

  `addWaitingProcessor, awaitConnectionsClose, checkSni, closeServerSocketGraceful, getAcceptCount, getAcceptorThreadCount, getAcceptorThreadPriority, getAdapter, getAddress, getClientCertProvider, getConnectionCount, getConnectionLinger, getConnectionTimeout, getDomain, getExecutor, getGlobalRequestProcessorMBeanName, getHandler, getId, getKeepAliveTimeout, getLocalPort, getMaxConnections, getMaxHeaderCount, getMaxQueueSize, getMaxThreads, getMinSpareThreads, getName, getNameIndex, getObjectName, getPort, getPortOffset, getPortWithOffset, getProcessorCache, getProperty, getTcpNoDelay, getThreadPriority, getUtilityExecutor, getWaitingProcessorCount, isPaused, isSendfileSupported, pause, postDeregister, postRegister, preDeregister, preRegister, removeWaitingProcessor, resume, setAcceptCount, setAcceptorThreadCount, setAcceptorThreadPriority, setAdapter, setAddress, setClientCertProvider, setConnectionLinger, setConnectionTimeout, setExecutor, setHandler, setKeepAliveTimeout, setMaxConnections, setMaxHeaderCount, setMaxQueueSize, setMaxThreads, setMinSpareThreads, setPort, setPortOffset, setProcessorCache, setProperty, setTcpNoDelay, setThreadPriority, setUtilityExecutor, start, startAsyncTimeout, stop, stopAsyncTimeout`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ProtocolHandler

  `getDesiredBufferSize`

- ## Constructor Details

  - ### Http11AprProtocol

    @Deprecated public Http11AprProtocol()
    Deprecated.

  - ### Http11AprProtocol

    @Deprecated public Http11AprProtocol(AprEndpoint endpoint)
    Deprecated.

- ## Method Details

  - ### getLog

    @Deprecated protected Log getLog()
    Deprecated.
    Description copied from class: `AbstractProtocol`
    Concrete implementations need to provide access to their logger to be used by the abstract classes.
    Specified by:
      `getLog` in class `AbstractProtocol<Long>`
    Returns:
      the logger

  - ### isAprRequired

    @Deprecated public boolean isAprRequired()
    Deprecated.
    Description copied from interface: `ProtocolHandler`
    Requires APR/native library
    Specified by:
      `isAprRequired` in interface `ProtocolHandler`
    Overrides:
      `isAprRequired` in class `AbstractProtocol<Long>`
    Returns:
      `true` if this Protocol Handler requires the APR/native library, otherwise `false`

  - ### getPollTime

    @Deprecated public int getPollTime()
    Deprecated.

  - ### setPollTime

    @Deprecated public void setPollTime(int pollTime)
    Deprecated.

  - ### getSendfileSize

    @Deprecated public int getSendfileSize()
    Deprecated.

  - ### setSendfileSize

    @Deprecated public void setSendfileSize(int sendfileSize)
    Deprecated.

  - ### getDeferAccept

    @Deprecated public boolean getDeferAccept()
    Deprecated.

  - ### setDeferAccept

    @Deprecated public void setDeferAccept(boolean deferAccept)
    Deprecated.

  - ### init

    public void init() throws Exception
    Deprecated.
    Description copied from interface: `ProtocolHandler`
    Initialise the protocol.
    Specified by:
      `init` in interface `ProtocolHandler`
    Overrides:
      `init` in class `AbstractHttp11Protocol<Long>`
    Throws:
      `Exception` - If the protocol handler fails to initialise

  - ### getNamePrefix

    @Deprecated protected String getNamePrefix()
    Deprecated.
    Description copied from class: `AbstractProtocol`
    Obtain the prefix to be used when construction a name for this protocol handler. The name will be prefix-address-port.
    Specified by:
      `getNamePrefix` in class `AbstractProtocol<Long>`
    Returns:
      the prefix